<?php

	// 設定
	$consumer_key = '' ;			// アプリケーションキー (Consumer Key)
	$consumer_secret = '' ;		// アプリケーションシークレット (Consumer Secret)
	$redirect_uri = '' ;		// リダイレクトURL (Redirect URI)

	// HTML用
	$html = '' ;

	// 見出し
	$html .= '<h2>実行結果</h2>' ;

	//「許可」して帰ってきた場合
	if( isset( $_GET['code'] ) && !empty( $_GET['code'] ) && is_string( $_GET['code'] ) )
	{
		// アクセストークンの取得に利用するコード
		$code = $_GET['code'] ;

		// リクエストURL
		$request_url = 'https://foursquare.com/oauth2/access_token?client_id=' . $consumer_key . '&client_secret=' . $consumer_secret . '&grant_type=authorization_code&redirect_uri=' . rawurlencode( $redirect_uri ) . '&code=' . $_GET['code'] ;

		// 受け取ったコードを元に、アクセストークンを取得する
		$curl = curl_init() ;
		curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
		curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
		curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;								// 証明書の検証を行わない
		curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;								// curl_execの結果を文字列で返す
		curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;										// タイムアウトの秒数
		$res1 = curl_exec( $curl ) ;
		$res2 = curl_getinfo( $curl ) ;
		curl_close( $curl ) ;

		// 取得したデータ
		$json = substr( $res1, $res2['header_size'] ) ;		// 取得したデータ(JSONなど)
		$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

		// JSONをオブジェクト型に変換する
		$obj = json_decode( $json ) ;

		// アクセストークンを取得できなかった場合
		if( !isset( $obj->access_token ) )
		{
			$error = 'アクセストークンを上手く取得することができませんでした…。' ;
		}
		else
		{
			// アクセストークンを[$access_token]に代入する
			$access_token = $obj->access_token ;

			// アクセストークンをブラウザに出力する
			$html .= '<p>取得したアクセストークンは、<b><mark>' . $access_token . '</mark></b>です。</p>' ;
		}
	}

	// 「拒否」して帰ってきた場合
	elseif( isset( $_GET['error'] ) )
	{
		// 「許可」してくれなかったことに文句を言う
		$error = 'なんで「許可」してくれなかったんですか!?' ;
	}

	// ユーザーを認証画面に移動させる
	else
	{
		header( 'Location: https://foursquare.com/oauth2/authenticate?client_id=' . $consumer_key . '&response_type=code&redirect_uri=' . rawurlencode( $redirect_uri ) ) ;
		exit ;
	}

	// エラー判定
	if( isset( $error ) && !empty( $error ) )
	{
		$html .= '<p><mark>' . $error . '</mark>もう一度、認証をするには、<a href="' . explode( '?' , $_SERVER['REQUEST_URI'] )[0] . '">こちら</a>をクリックして下さい。</p>' ;
	}
	else
	{
		// 取得したデータ
		$html .= '<h2>取得したデータ</h2>' ;
		$html .= '<p>下記のデータを取得できました。</p>' ;
		$html .= 	'<h3>JSON</h3>' ;
		$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
		$html .= 	'<h3>レスポンスヘッダー</h3>' ;
		$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

		// アプリケーション連携の解除
		$html .= '<h2>アプリケーション連携の解除</h2>' ;
		$html .= '<p>このアプリケーションとの連携は、下記設定ページで解除することができます。</p>' ;
		$html .= '<p><a href="https://ja.foursquare.com/settings/connections" target="_blank">https://ja.foursquare.com/settings/connections</a></p>' ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Foursquare APIでOAuth2.0認証をするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/foursquare-api-matome

	* 動作確認
	https://syncer.jp/foursquare-api-matome/demo/foursquare-get-access-token.php

	* 最終更新日時
	2015/08/02 03:48

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/foursquare-api-matome">配布元: Syncer</a></p>






</body>
</html>
